<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL_label_1" xlink:role="http://www.xbrl.org/2003/role/label">A product repair reserve fund</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">A product repair reserve fund-NCL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL_label" xlink:role="http://www.xbrl.org/2003/role/documentation">A product repair reserve fund-NCL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_AramakiHirotoshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Aramaki, Hirotoshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_AramakiHirotoshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Aramaki, Hirotoshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_AzumaIchiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Azuma, Ichiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_AzumaIchiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Azuma, Ichiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_BuildingMaterialsReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Building materials</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_BuildingMaterialsReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Building materials, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_CommercialFacilityReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Commercial facility</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_CommercialFacilityReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Commercial facility, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_EnvironmentalExpensesOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Environmental expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_EnvironmentalExpensesOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Environmental expenses-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_GovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance, Responding to climate change (Information disclosure based on TCFD recommendations)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_GovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance, Responding to climate change (Information disclosure based on TCFD recommendations) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_HasegawaHirokazuMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hasegawa, Hirokazu</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_HasegawaHirokazuMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hasegawa, Hirokazu [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_HiranoShozoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hirano, Shozo</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_HiranoShozoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hirano, Shozo [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_HongawaTohruMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hongawa, Tohru</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_HongawaTohruMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hongawa, Tohru [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_HujimakiYasushiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hujimaki, Yasushi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_HujimakiYasushiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hujimaki, Yasushi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in provision for product repair</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in provision for product repair-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Increase (decrease) in provision for product repair-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_IncreaseDecreaseInRetirementBenefitsAssetLiabilityOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in retirement benefits asset liability</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_IncreaseDecreaseInRetirementBenefitsAssetLiabilityOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in retirement benefits asset liability-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Insurance dividend income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Insurance dividend income-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Insurance dividend income-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_InternationalReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">International</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_InternationalReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">International, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_KubotaKensukeMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kubota, Kensuke</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_KubotaKensukeMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kubota, Kensuke [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_KurohataYasuyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kurohata, Yasuyuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_KurohataYasuyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kurohata, Yasuyuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_MaterialReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Material</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_MaterialReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Material, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_MetricsAndTargetsHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_MetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_MetricsAndTargetsRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Responding to climate change (Information disclosure based on TCFD recommendations)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_MetricsAndTargetsRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Responding to climate change (Information disclosure based on TCFD recommendations) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_MoriAkihikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Mori, Akihiko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_MoriAkihikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Mori, Akihiko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_NotesRegardingFinancialCovenantTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding financial covenant</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_NotesRegardingFinancialCovenantTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding financial covenant [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_NotesRegardingLossOnDisasterAndProvisionLossOnDisasterTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding loss on disaster and provision loss on disaster</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_NotesRegardingLossOnDisasterAndProvisionLossOnDisasterTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding loss on disaster and provision loss on disaster [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_PackingMaterialsAndFreightageExpenditureSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Packing materials and freightage expenditure</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_PackingMaterialsAndFreightageExpenditureSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Packing materials and freightage expenditure-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Policy on human resource development and improvement of internal environment, Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Policy on human resource development and improvement of internal environment, Strategy, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_ReferenceToOtherInformation2RiskManagement_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information 2</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_ReferenceToOtherInformation2RiskManagement_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information 2, Risk management</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_ReferenceToOtherInformationGovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendations_label" xlink:role="http://www.xbrl.org/2003/role/label">Reference to other information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_ReferenceToOtherInformationGovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendations_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reference to other information, Governance, Responding to climate change (Information disclosure based on TCFD recommendations)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_RiskManagementRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Risk management, Responding to climate change (Information disclosure based on TCFD recommendations)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_RiskManagementRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Risk management, Responding to climate change (Information disclosure based on TCFD recommendations) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_ShinodaHirokoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Shinoda, Hiroko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_ShinodaHirokoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Shinoda, Hiroko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_StrategyHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_StrategyHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_StrategyRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy, Responding to climate change (Information disclosure based on TCFD recommendations)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_StrategyRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy, Responding to climate change (Information disclosure based on TCFD recommendations) [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_TodaKazunoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Toda, Kazunori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_TodaKazunoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Toda, Kazunori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_ToyookaFumiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Toyooka, Fumiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_ToyookaFumiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Toyooka, Fumiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_YoshidaTsuneakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yoshida, Tsuneaki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_YoshidaTsuneakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yoshida, Tsuneaki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_YoshikawaMihoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yoshikawa, Miho</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E26831-000_YoshikawaMihoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yoshikawa, Miho [member]</link:label>
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL" xlink:label="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_AramakiHirotoshiMember" xlink:label="jpcrp030000-asr_E26831-000_AramakiHirotoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_AzumaIchiroMember" xlink:label="jpcrp030000-asr_E26831-000_AzumaIchiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_BuildingMaterialsReportableSegmentsMember" xlink:label="jpcrp030000-asr_E26831-000_BuildingMaterialsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_CommercialFacilityReportableSegmentsMember" xlink:label="jpcrp030000-asr_E26831-000_CommercialFacilityReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E26831-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_EnvironmentalExpensesOpeCF" xlink:label="jpcrp030000-asr_E26831-000_EnvironmentalExpensesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_GovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E26831-000_GovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_HasegawaHirokazuMember" xlink:label="jpcrp030000-asr_E26831-000_HasegawaHirokazuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_HiranoShozoMember" xlink:label="jpcrp030000-asr_E26831-000_HiranoShozoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_HongawaTohruMember" xlink:label="jpcrp030000-asr_E26831-000_HongawaTohruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_HujimakiYasushiMember" xlink:label="jpcrp030000-asr_E26831-000_HujimakiYasushiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF" xlink:label="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_IncreaseDecreaseInRetirementBenefitsAssetLiabilityOpeCF" xlink:label="jpcrp030000-asr_E26831-000_IncreaseDecreaseInRetirementBenefitsAssetLiabilityOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI" xlink:label="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_InternationalReportableSegmentsMember" xlink:label="jpcrp030000-asr_E26831-000_InternationalReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_KubotaKensukeMember" xlink:label="jpcrp030000-asr_E26831-000_KubotaKensukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_KurohataYasuyukiMember" xlink:label="jpcrp030000-asr_E26831-000_KurohataYasuyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_MaterialReportableSegmentsMember" xlink:label="jpcrp030000-asr_E26831-000_MaterialReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E26831-000_MetricsAndTargetsHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_MetricsAndTargetsRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E26831-000_MetricsAndTargetsRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_MoriAkihikoMember" xlink:label="jpcrp030000-asr_E26831-000_MoriAkihikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_NotesRegardingFinancialCovenantTextBlock" xlink:label="jpcrp030000-asr_E26831-000_NotesRegardingFinancialCovenantTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_NotesRegardingLossOnDisasterAndProvisionLossOnDisasterTextBlock" xlink:label="jpcrp030000-asr_E26831-000_NotesRegardingLossOnDisasterAndProvisionLossOnDisasterTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_PackingMaterialsAndFreightageExpenditureSGA" xlink:label="jpcrp030000-asr_E26831-000_PackingMaterialsAndFreightageExpenditureSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E26831-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_ReferenceToOtherInformation2RiskManagement" xlink:label="jpcrp030000-asr_E26831-000_ReferenceToOtherInformation2RiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_ReferenceToOtherInformationGovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendations" xlink:label="jpcrp030000-asr_E26831-000_ReferenceToOtherInformationGovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendations" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_RiskManagementRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E26831-000_RiskManagementRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_ShinodaHirokoMember" xlink:label="jpcrp030000-asr_E26831-000_ShinodaHirokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_StrategyHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E26831-000_StrategyHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_StrategyRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:label="jpcrp030000-asr_E26831-000_StrategyRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_TodaKazunoriMember" xlink:label="jpcrp030000-asr_E26831-000_TodaKazunoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_ToyookaFumiroMember" xlink:label="jpcrp030000-asr_E26831-000_ToyookaFumiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_YoshidaTsuneakiMember" xlink:label="jpcrp030000-asr_E26831-000_YoshidaTsuneakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E26831-000_2025-05-31_01_2025-08-26.xsd#jpcrp030000-asr_E26831-000_YoshikawaMihoMember" xlink:label="jpcrp030000-asr_E26831-000_YoshikawaMihoMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL" xlink:to="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL" xlink:to="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL" xlink:to="jpcrp030000-asr_E26831-000_AProductRepairReserveFundNCL_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_AramakiHirotoshiMember" xlink:to="jpcrp030000-asr_E26831-000_AramakiHirotoshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_AramakiHirotoshiMember" xlink:to="jpcrp030000-asr_E26831-000_AramakiHirotoshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_AzumaIchiroMember" xlink:to="jpcrp030000-asr_E26831-000_AzumaIchiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_AzumaIchiroMember" xlink:to="jpcrp030000-asr_E26831-000_AzumaIchiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_BuildingMaterialsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E26831-000_BuildingMaterialsReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_BuildingMaterialsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E26831-000_BuildingMaterialsReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_CommercialFacilityReportableSegmentsMember" xlink:to="jpcrp030000-asr_E26831-000_CommercialFacilityReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_CommercialFacilityReportableSegmentsMember" xlink:to="jpcrp030000-asr_E26831-000_CommercialFacilityReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E26831-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E26831-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_EnvironmentalExpensesOpeCF" xlink:to="jpcrp030000-asr_E26831-000_EnvironmentalExpensesOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_EnvironmentalExpensesOpeCF" xlink:to="jpcrp030000-asr_E26831-000_EnvironmentalExpensesOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_GovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E26831-000_GovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_GovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E26831-000_GovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_HasegawaHirokazuMember" xlink:to="jpcrp030000-asr_E26831-000_HasegawaHirokazuMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_HasegawaHirokazuMember" xlink:to="jpcrp030000-asr_E26831-000_HasegawaHirokazuMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_HiranoShozoMember" xlink:to="jpcrp030000-asr_E26831-000_HiranoShozoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_HiranoShozoMember" xlink:to="jpcrp030000-asr_E26831-000_HiranoShozoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_HongawaTohruMember" xlink:to="jpcrp030000-asr_E26831-000_HongawaTohruMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_HongawaTohruMember" xlink:to="jpcrp030000-asr_E26831-000_HongawaTohruMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_HujimakiYasushiMember" xlink:to="jpcrp030000-asr_E26831-000_HujimakiYasushiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_HujimakiYasushiMember" xlink:to="jpcrp030000-asr_E26831-000_HujimakiYasushiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF" xlink:to="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF" xlink:to="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF" xlink:to="jpcrp030000-asr_E26831-000_IncreaseDecreaseInProvisionForProductRepairOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_IncreaseDecreaseInRetirementBenefitsAssetLiabilityOpeCF" xlink:to="jpcrp030000-asr_E26831-000_IncreaseDecreaseInRetirementBenefitsAssetLiabilityOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_IncreaseDecreaseInRetirementBenefitsAssetLiabilityOpeCF" xlink:to="jpcrp030000-asr_E26831-000_IncreaseDecreaseInRetirementBenefitsAssetLiabilityOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI" xlink:to="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI" xlink:to="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI" xlink:to="jpcrp030000-asr_E26831-000_InsuranceDividendIncomeNOI_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_InternationalReportableSegmentsMember" xlink:to="jpcrp030000-asr_E26831-000_InternationalReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_InternationalReportableSegmentsMember" xlink:to="jpcrp030000-asr_E26831-000_InternationalReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_KubotaKensukeMember" xlink:to="jpcrp030000-asr_E26831-000_KubotaKensukeMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_KubotaKensukeMember" xlink:to="jpcrp030000-asr_E26831-000_KubotaKensukeMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_KurohataYasuyukiMember" xlink:to="jpcrp030000-asr_E26831-000_KurohataYasuyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_KurohataYasuyukiMember" xlink:to="jpcrp030000-asr_E26831-000_KurohataYasuyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_MaterialReportableSegmentsMember" xlink:to="jpcrp030000-asr_E26831-000_MaterialReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_MaterialReportableSegmentsMember" xlink:to="jpcrp030000-asr_E26831-000_MaterialReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E26831-000_MetricsAndTargetsHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E26831-000_MetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_MetricsAndTargetsRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E26831-000_MetricsAndTargetsRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_MetricsAndTargetsRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E26831-000_MetricsAndTargetsRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_MoriAkihikoMember" xlink:to="jpcrp030000-asr_E26831-000_MoriAkihikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_MoriAkihikoMember" xlink:to="jpcrp030000-asr_E26831-000_MoriAkihikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_NotesRegardingFinancialCovenantTextBlock" xlink:to="jpcrp030000-asr_E26831-000_NotesRegardingFinancialCovenantTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_NotesRegardingFinancialCovenantTextBlock" xlink:to="jpcrp030000-asr_E26831-000_NotesRegardingFinancialCovenantTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_NotesRegardingLossOnDisasterAndProvisionLossOnDisasterTextBlock" xlink:to="jpcrp030000-asr_E26831-000_NotesRegardingLossOnDisasterAndProvisionLossOnDisasterTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_NotesRegardingLossOnDisasterAndProvisionLossOnDisasterTextBlock" xlink:to="jpcrp030000-asr_E26831-000_NotesRegardingLossOnDisasterAndProvisionLossOnDisasterTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_PackingMaterialsAndFreightageExpenditureSGA" xlink:to="jpcrp030000-asr_E26831-000_PackingMaterialsAndFreightageExpenditureSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_PackingMaterialsAndFreightageExpenditureSGA" xlink:to="jpcrp030000-asr_E26831-000_PackingMaterialsAndFreightageExpenditureSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E26831-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E26831-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_ReferenceToOtherInformation2RiskManagement" xlink:to="jpcrp030000-asr_E26831-000_ReferenceToOtherInformation2RiskManagement_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_ReferenceToOtherInformation2RiskManagement" xlink:to="jpcrp030000-asr_E26831-000_ReferenceToOtherInformation2RiskManagement_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_ReferenceToOtherInformationGovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendations" xlink:to="jpcrp030000-asr_E26831-000_ReferenceToOtherInformationGovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendations_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_ReferenceToOtherInformationGovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendations" xlink:to="jpcrp030000-asr_E26831-000_ReferenceToOtherInformationGovernanceRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendations_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_RiskManagementRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E26831-000_RiskManagementRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_RiskManagementRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E26831-000_RiskManagementRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_ShinodaHirokoMember" xlink:to="jpcrp030000-asr_E26831-000_ShinodaHirokoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_ShinodaHirokoMember" xlink:to="jpcrp030000-asr_E26831-000_ShinodaHirokoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_StrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E26831-000_StrategyHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_StrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E26831-000_StrategyHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_StrategyRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E26831-000_StrategyRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_StrategyRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock" xlink:to="jpcrp030000-asr_E26831-000_StrategyRespondingToClimateChangeInformationDisclosureBasedOnTCFDRecommendationsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_TodaKazunoriMember" xlink:to="jpcrp030000-asr_E26831-000_TodaKazunoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_TodaKazunoriMember" xlink:to="jpcrp030000-asr_E26831-000_TodaKazunoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_ToyookaFumiroMember" xlink:to="jpcrp030000-asr_E26831-000_ToyookaFumiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_ToyookaFumiroMember" xlink:to="jpcrp030000-asr_E26831-000_ToyookaFumiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_YoshidaTsuneakiMember" xlink:to="jpcrp030000-asr_E26831-000_YoshidaTsuneakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_YoshidaTsuneakiMember" xlink:to="jpcrp030000-asr_E26831-000_YoshidaTsuneakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_YoshikawaMihoMember" xlink:to="jpcrp030000-asr_E26831-000_YoshikawaMihoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E26831-000_YoshikawaMihoMember" xlink:to="jpcrp030000-asr_E26831-000_YoshikawaMihoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>